-- $Id: 600_unmount_target_system.lua,v 1.2 2005/01/12 05:58:36 cpressey Exp $

require "target_system"

return {
    name = "unmount_target_system",
    title = "Unmount Target System",
    action = function(fsm)
	if App.state.target:unmount() then
		return fsm:next()
	else
		Dialog.inform(App.c, "Target system could not be unmounted!")
		return nil
	end
    end
}
